Package ietf.params.xml.ns.icalendar_2

# Class RelatedToPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.RelatedToPropType

public class RelatedToPropType extends BasePropertyType

Java class for RelatedToPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RelatedToPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <choice>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}uri"/>
             <element name="uid" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}text"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `text`
  `protected String`
  `uid`
  `protected String`
  `uri`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelatedToPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getText()`
  Gets the value of the text property.
  `String`
  `getUid()`
  Gets the value of the uid property.
  `String`
  `getUri()`
  Gets the value of the uri property.
  `void`
  `setText(String value)`
  Sets the value of the text property.
  `void`
  `setUid(String value)`
  Sets the value of the uid property.
  `void`
  `setUri(String value)`
  Sets the value of the uri property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### uri

    protected String uri

  - ### uid

    protected String uid

  - ### text

    protected String text

- ## Constructor Details

  - ### RelatedToPropType

    public RelatedToPropType()

- ## Method Details

  - ### getUri

    public String getUri()
    Gets the value of the uri property.
    Returns:
      possible object is `String`

  - ### setUri

    public void setUri(String value)
    Sets the value of the uri property.
    Parameters:
      `value` - allowed object is `String`

  - ### getUid

    public String getUid()
    Gets the value of the uid property.
    Returns:
      possible object is `String`

  - ### setUid

    public void setUid(String value)
    Sets the value of the uid property.
    Parameters:
      `value` - allowed object is `String`

  - ### getText

    public String getText()
    Gets the value of the text property.
    Returns:
      possible object is `String`

  - ### setText

    public void setText(String value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `String`